%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%                                                                  %%
%%  This is the header of a LaTeX2e file exported from Gnumeric.    %%
%%                                                                  %%
%%  This file can be compiled as it stands or included in another   %%
%%  LaTeX document. The table is based on the longtable package so  %%
%%  the longtable options (headers, footers...) can be set in the   %%
%%  preamble section below (see PRAMBLE).                           %%
%%                                                                  %%
%%  To include the file in another, the following two lines must be %%
%%  in the including file:                                          %%
%%        \def\inputGnumericTable{}                                 %%
%%  at the beginning of the file and:                               %%
%%        \input{name-of-this-file.tex}                             %%
%%  where the table is to be placed. Note also that the including   %%
%%  file must use the following packages for the table to be        %%
%%  rendered correctly:                                             %%
%%    \usepackage[latin1]{inputenc}                                 %%
%%    \usepackage{color}                                            %%
%%    \usepackage{array}                                            %%
%%    \usepackage{longtable}                                        %%
%%    \usepackage{calc}                                             %%
%%    \usepackage{multirow}                                         %%
%%    \usepackage{hhline}                                           %%
%%    \usepackage{ifthen}                                           %%
%%  optionally (for landscape tables embedded in another document): %%
%%    \usepackage{lscape}                                           %%
%%                                                                  %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%  This section checks if we are begin input into another file or  %%
%%  the file will be compiled alone. First use a macro taken from   %%
%%  the TeXbook ex 7.7 (suggestion of Han-Wen Nienhuys).            %%
\def\ifundefined#1{\expandafter\ifx\csname#1\endcsname\relax}


%%  Check for the \def token for inputed files. If it is not        %%
%%  defined, the file will be processed as a standalone and the     %%
%%  preamble will be used.                                          %%
\ifundefined{inputGnumericTable}

%%  We must be able to close or not the document at the end.        %%
	\def\gnumericTableEnd{\end{document}}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%                                                                  %%
%%  This is the PREAMBLE. Change these values to get the right      %%
%%  paper size and other niceties.                                  %%
%%                                                                  %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

	\documentclass[12pt%
			  %,landscape%
                    ]{report}
       \usepackage[latin1]{inputenc}
       \usepackage{fullpage}
       \usepackage{color}
       \usepackage{array}
       \usepackage{longtable}
       \usepackage{calc}
       \usepackage{multirow}
       \usepackage{hhline}
       \usepackage{ifthen}
	   \usepackage[main=ngerman,english]{babel}
	   \usepackage{amssymb}
	   \usepackage{hyperref}

	\begin{document}


%%  End of the preamble for the standalone. The next section is for %%
%%  documents which are included into other LaTeX2e files.          %%
\else

%%  We are not a stand alone document. For a regular table, we will %%
%%  have no preamble and only define the closing to mean nothing.   %%
    \def\gnumericTableEnd{}

%%  If we want landscape mode in an embedded document, comment out  %%
%%  the line above and uncomment the two below. The table will      %%
%%  begin on a new page and run in landscape mode.                  %%
%       \def\gnumericTableEnd{\end{landscape}}
%       \begin{landscape}


%%  End of the else clause for this file being \input.              %%
\fi

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%                                                                  %%
%%  The rest is the gnumeric table, except for the closing          %%
%%  statement. Changes below will alter the table's appearance.     %%
%%                                                                  %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\providecommand{\gnumericmathit}[1]{#1} 
%%  Uncomment the next line if you would like your numbers to be in %%
%%  italics if they are italizised in the gnumeric table.           %%
%\renewcommand{\gnumericmathit}[1]{\mathit{#1}}
\providecommand{\gnumericPB}[1]%
{\let\gnumericTemp=\\#1\let\\=\gnumericTemp\hspace{0pt}}
 \ifundefined{gnumericTableWidthDefined}
        \newlength{\gnumericTableWidth}
        \newlength{\gnumericTableWidthComplete}
        \newlength{\gnumericMultiRowLength}
        \global\def\gnumericTableWidthDefined{}
 \fi
%% The following setting protects this code from babel shorthands.  %%
 \ifthenelse{\isundefined{\languageshorthands}}{}{\languageshorthands{english}}
%%  The default table format retains the relative column widths of  %%
%%  gnumeric. They can easily be changed to c, r or l. In that case %%
%%  you may want to comment out the next line and uncomment the one %%
%%  thereafter                                                      %%
\providecommand\gnumbox{\makebox[0pt]}
%%\providecommand\gnumbox[1][]{\makebox}

%% to adjust positions in multirow situations                       %%
\setlength{\bigstrutjot}{\jot}
\setlength{\extrarowheight}{\doublerulesep}

%%  The \setlongtables command keeps column widths the same across  %%
%%  pages. Simply comment out next line for varying column widths.  %%
\setlongtables

\setlength\gnumericTableWidth{%
	75pt+%
	49pt+%
	52pt+%
	52pt+%
	84pt+%
	60pt+%
0pt}
\def\gumericNumCols{6}
\setlength\gnumericTableWidthComplete{\gnumericTableWidth+%
         \tabcolsep*\gumericNumCols*2+\arrayrulewidth*\gumericNumCols}
\ifthenelse{\lengthtest{\gnumericTableWidthComplete > \linewidth}}%
         {\def\gnumericScale{1*\ratio{\linewidth-%
                        \tabcolsep*\gumericNumCols*2-%
                        \arrayrulewidth*\gumericNumCols}%
{\gnumericTableWidth}}}%
{\def\gnumericScale{1}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%                                                                  %%
%% The following are the widths of the various columns. We are      %%
%% defining them here because then they are easier to change.       %%
%% Depending on the cell formats we may use them more than once.    %%
%%                                                                  %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\ifthenelse{\isundefined{\gnumericColA}}{\newlength{\gnumericColA}}{}\settowidth{\gnumericColA}{\begin{tabular}{@{}p{75pt*\gnumericScale}@{}}x\end{tabular}}
\ifthenelse{\isundefined{\gnumericColB}}{\newlength{\gnumericColB}}{}\settowidth{\gnumericColB}{\begin{tabular}{@{}p{49pt*\gnumericScale}@{}}x\end{tabular}}
\ifthenelse{\isundefined{\gnumericColC}}{\newlength{\gnumericColC}}{}\settowidth{\gnumericColC}{\begin{tabular}{@{}p{52pt*\gnumericScale}@{}}x\end{tabular}}
\ifthenelse{\isundefined{\gnumericColD}}{\newlength{\gnumericColD}}{}\settowidth{\gnumericColD}{\begin{tabular}{@{}p{52pt*\gnumericScale}@{}}x\end{tabular}}
\ifthenelse{\isundefined{\gnumericColE}}{\newlength{\gnumericColE}}{}\settowidth{\gnumericColE}{\begin{tabular}{@{}p{84pt*\gnumericScale}@{}}x\end{tabular}}
\ifthenelse{\isundefined{\gnumericColF}}{\newlength{\gnumericColF}}{}\settowidth{\gnumericColF}{\begin{tabular}{@{}p{60pt*\gnumericScale}@{}}x\end{tabular}}

\begin{longtable}[c]{%
	b{\gnumericColA}%
	b{\gnumericColB}%
	b{\gnumericColC}%
	b{\gnumericColD}%
	b{\gnumericColE}%
	b{\gnumericColF}%
	}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%  The longtable options. (Caption, headers... see Goosens, p.124) %%
%	\caption{The Table Caption.}             \\	%
% \hline	% Across the top of the table.
%%  The rest of these options are table rows which are placed on    %%
%%  the first, last or every page. Use \multicolumn if you want.    %%

%%  Header for the first page.                                      %%
%	\multicolumn{6}{c}{The First Header} \\ \hline 
%	\multicolumn{1}{c}{colTag}	%Column 1
%	&\multicolumn{1}{c}{colTag}	%Column 2
%	&\multicolumn{1}{c}{colTag}	%Column 3
%	&\multicolumn{1}{c}{colTag}	%Column 4
%	&\multicolumn{1}{c}{colTag}	%Column 5
%	&\multicolumn{1}{c}{colTag}	\\ \hline %Last column
%	\endfirsthead

%%  The running header definition.                                  %%
%	\hline
%	\multicolumn{6}{l}{\ldots\small\slshape continued} \\ \hline
%	\multicolumn{1}{c}{colTag}	%Column 1
%	&\multicolumn{1}{c}{colTag}	%Column 2
%	&\multicolumn{1}{c}{colTag}	%Column 3
%	&\multicolumn{1}{c}{colTag}	%Column 4
%	&\multicolumn{1}{c}{colTag}	%Column 5
%	&\multicolumn{1}{c}{colTag}	\\ \hline %Last column
%	\endhead

%%  The running footer definition.                                  %%
%	\hline
%	\multicolumn{6}{r}{\small\slshape continued\ldots} \\
%	\endfoot

%%  The ending footer definition.                                   %%
%	\multicolumn{6}{c}{That's all folks} \\ \hline 
%	\endlastfoot
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\hhline{|------}
	 \multicolumn{1}{|p{\gnumericColA}}%
	{\gnumericPB{\centering}\textbf{Input File}}
	&\gnumericPB{\centering}\textbf{Network}
	&\gnumericPB{\centering}\textbf{Options [\autoref{tab:options_for_darknet_video}]}
	&\gnumericPB{\centering}\textbf{Display Video}
	&\gnumericPB{\centering}\textbf{Device/CPU/GPU}
	&\multicolumn{1}{p{\gnumericColF}|}%
	{\gnumericPB{\centering}\textbf{Average FPS}}
\\
\hhline{|------|}
	 \multicolumn{1}{|p{\gnumericColA}}%
	{\setlength{\gnumericMultiRowLength}{0pt}%
	 \addtolength{\gnumericMultiRowLength}{\gnumericColA}%
	 \multirow{8}[4]{\gnumericMultiRowLength}{\parbox{\gnumericMultiRowLength}{%
	 \gnumericPB{\raggedright}Testvideo 1}}}
	&\setlength{\gnumericMultiRowLength}{0pt}%
	 \addtolength{\gnumericMultiRowLength}{\gnumericColB}%
	 \multirow{4}[2]{\gnumericMultiRowLength}{\parbox{\gnumericMultiRowLength}{%
	 \gnumericPB{\raggedright}YoloV3}}
	&\gnumericPB{\centering}0
	&
	&\gnumericPB{\raggedright}RPi 4
	&\multicolumn{1}{p{\gnumericColF}|}%
	{\gnumericPB{\raggedleft}{\color[rgb]{1.00,0.00,0.00} $0.00$}}
\\
\hhline{~~----|}
	 \multicolumn{1}{|p{\gnumericColA}}%
	{}
	&
	&\gnumericPB{\centering}1
	&\gnumericPB{\centering}\checkmark
	&\gnumericPB{\raggedright}Ryzen 1800x
	&\multicolumn{1}{p{\gnumericColF}|}%
	{\gnumericPB{\raggedleft}{\color[rgb]{1.00,0.87,0.35} $1.30$}}
\\
\hhline{~~----|}
	 \multicolumn{1}{|p{\gnumericColA}}%
	{}
	&
	&\setlength{\gnumericMultiRowLength}{0pt}%
	 \addtolength{\gnumericMultiRowLength}{\gnumericColC}%
	 \multirow{2}[1]{\gnumericMultiRowLength}{\parbox{\gnumericMultiRowLength}{%
	 \gnumericPB{\centering}2}}
	&\gnumericPB{\centering}\checkmark
	&\setlength{\gnumericMultiRowLength}{0pt}%
	 \addtolength{\gnumericMultiRowLength}{\gnumericColE}%
	 \multirow{2}[1]{\gnumericMultiRowLength}{\parbox{\gnumericMultiRowLength}{%
	 \gnumericPB{\raggedright}RTX 2080 [Ryzen 1800x]}}
	&\multicolumn{1}{p{\gnumericColF}|}%
	{\gnumericPB{\raggedleft}{\color[rgb]{0.37,0.73,0.12} $57.80$}}
\\
\hhline{~~~-~-|}
	 \multicolumn{1}{|p{\gnumericColA}}%
	{}
	&
	&
	&
	&
	&\multicolumn{1}{p{\gnumericColF}|}%
	{\gnumericPB{\raggedleft}{\color[rgb]{0.37,0.73,0.12} $83.80$}}
\\
\hhline{~-----|}
	 \multicolumn{1}{|p{\gnumericColA}}%
	{}
	&\setlength{\gnumericMultiRowLength}{0pt}%
	 \addtolength{\gnumericMultiRowLength}{\gnumericColB}%
	 \multirow{4}[2]{\gnumericMultiRowLength}{\parbox{\gnumericMultiRowLength}{%
	 \gnumericPB{\raggedright}YoloV4}}
	&\gnumericPB{\centering}0
	&
	&\gnumericPB{\raggedright}RPi 4
	&\multicolumn{1}{p{\gnumericColF}|}%
	{\gnumericPB{\raggedleft}{\color[rgb]{1.00,0.00,0.00} $0.00$}}
\\
\hhline{~~----|}
	 \multicolumn{1}{|p{\gnumericColA}}%
	{}
	&
	&\gnumericPB{\centering}1
	&\gnumericPB{\centering}\checkmark
	&\gnumericPB{\raggedright}Ryzen 1800x
	&\multicolumn{1}{p{\gnumericColF}|}%
	{\gnumericPB{\raggedleft}{\color[rgb]{1.00,0.87,0.35} $0.60$}}
\\
\hhline{~~----|}
	 \multicolumn{1}{|p{\gnumericColA}}%
	{}
	&
	&\setlength{\gnumericMultiRowLength}{0pt}%
	 \addtolength{\gnumericMultiRowLength}{\gnumericColC}%
	 \multirow{2}[1]{\gnumericMultiRowLength}{\parbox{\gnumericMultiRowLength}{%
	 \gnumericPB{\centering}2}}
	&\gnumericPB{\centering}\checkmark
	&\setlength{\gnumericMultiRowLength}{0pt}%
	 \addtolength{\gnumericMultiRowLength}{\gnumericColE}%
	 \multirow{2}[1]{\gnumericMultiRowLength}{\parbox{\gnumericMultiRowLength}{%
	 \gnumericPB{\raggedright}RTX 2080 [Ryzen 1800x]}}
	&\multicolumn{1}{p{\gnumericColF}|}%
	{\gnumericPB{\raggedleft}{\color[rgb]{0.37,0.73,0.12} $44.30$}}
\\
\hhline{~~~-~-|}
	 \multicolumn{1}{|p{\gnumericColA}}%
	{}
	&
	&
	&
	&
	&\multicolumn{1}{p{\gnumericColF}|}%
	{\gnumericPB{\raggedleft}{\color[rgb]{0.37,0.73,0.12} $47.00$}}
\\
\hhline{|------|}
	 \multicolumn{1}{|p{\gnumericColA}}%
	{\setlength{\gnumericMultiRowLength}{0pt}%
	 \addtolength{\gnumericMultiRowLength}{\gnumericColA}%
	 \multirow{8}[4]{\gnumericMultiRowLength}{\parbox{\gnumericMultiRowLength}{%
	 \gnumericPB{\raggedright}Testvideo 2}}}
	&\setlength{\gnumericMultiRowLength}{0pt}%
	 \addtolength{\gnumericMultiRowLength}{\gnumericColB}%
	 \multirow{4}[2]{\gnumericMultiRowLength}{\parbox{\gnumericMultiRowLength}{%
	 \gnumericPB{\raggedright}YoloV3}}
	&\gnumericPB{\centering}0
	&
	&\gnumericPB{\raggedright}RPi 4
	&\multicolumn{1}{p{\gnumericColF}|}%
	{\gnumericPB{\raggedleft}{\color[rgb]{1.00,0.00,0.00} $0.00$}}
\\
\hhline{~~----|}
	 \multicolumn{1}{|p{\gnumericColA}}%
	{}
	&
	&\gnumericPB{\centering}1
	&\gnumericPB{\centering}\checkmark
	&\gnumericPB{\raggedright}Ryzen 1800x
	&\multicolumn{1}{p{\gnumericColF}|}%
	{\gnumericPB{\raggedleft}{\color[rgb]{1.00,0.87,0.35} $1.30$}}
\\
\hhline{~~----|}
	 \multicolumn{1}{|p{\gnumericColA}}%
	{}
	&
	&\setlength{\gnumericMultiRowLength}{0pt}%
	 \addtolength{\gnumericMultiRowLength}{\gnumericColC}%
	 \multirow{2}[1]{\gnumericMultiRowLength}{\parbox{\gnumericMultiRowLength}{%
	 \gnumericPB{\centering}2}}
	&\gnumericPB{\centering}\checkmark
	&\setlength{\gnumericMultiRowLength}{0pt}%
	 \addtolength{\gnumericMultiRowLength}{\gnumericColE}%
	 \multirow{2}[1]{\gnumericMultiRowLength}{\parbox{\gnumericMultiRowLength}{%
	 \gnumericPB{\raggedright}RTX 2080 [Ryzen 1800x]}}
	&\multicolumn{1}{p{\gnumericColF}|}%
	{\gnumericPB{\raggedleft}{\color[rgb]{0.37,0.73,0.12} $77.10$}}
\\
\hhline{~~~-~-|}
	 \multicolumn{1}{|p{\gnumericColA}}%
	{}
	&
	&
	&
	&
	&\multicolumn{1}{p{\gnumericColF}|}%
	{\gnumericPB{\raggedleft}{\color[rgb]{0.37,0.73,0.12} $92.80$}}
\\
\hhline{~-----|}
	 \multicolumn{1}{|p{\gnumericColA}}%
	{}
	&\setlength{\gnumericMultiRowLength}{0pt}%
	 \addtolength{\gnumericMultiRowLength}{\gnumericColB}%
	 \multirow{4}[2]{\gnumericMultiRowLength}{\parbox{\gnumericMultiRowLength}{%
	 \gnumericPB{\raggedright}YoloV4}}
	&\gnumericPB{\centering}0
	&
	&\gnumericPB{\raggedright}RPi 4
	&\multicolumn{1}{p{\gnumericColF}|}%
	{\gnumericPB{\raggedleft}{\color[rgb]{1.00,0.00,0.00} $0.00$}}
\\
\hhline{~~----|}
	 \multicolumn{1}{|p{\gnumericColA}}%
	{}
	&
	&\gnumericPB{\centering}1
	&\gnumericPB{\centering}\checkmark
	&\gnumericPB{\raggedright}Ryzen 1800x
	&\multicolumn{1}{p{\gnumericColF}|}%
	{\gnumericPB{\raggedleft}{\color[rgb]{1.00,0.87,0.35} $0.60$}}
\\
\hhline{~~----|}
	 \multicolumn{1}{|p{\gnumericColA}}%
	{}
	&
	&\setlength{\gnumericMultiRowLength}{0pt}%
	 \addtolength{\gnumericMultiRowLength}{\gnumericColC}%
	 \multirow{2}[1]{\gnumericMultiRowLength}{\parbox{\gnumericMultiRowLength}{%
	 \gnumericPB{\centering}2}}
	&\gnumericPB{\centering}\checkmark
	&\setlength{\gnumericMultiRowLength}{0pt}%
	 \addtolength{\gnumericMultiRowLength}{\gnumericColE}%
	 \multirow{2}[1]{\gnumericMultiRowLength}{\parbox{\gnumericMultiRowLength}{%
	 \gnumericPB{\raggedright}RTX 2080 [Ryzen 1800x]}}
	&\multicolumn{1}{p{\gnumericColF}|}%
	{\gnumericPB{\raggedleft}{\color[rgb]{0.37,0.73,0.12} $44.20$}}
\\
\hhline{~~~-~-|}
	 \multicolumn{1}{|p{\gnumericColA}}%
	{}
	&
	&
	&
	&
	&\multicolumn{1}{p{\gnumericColF}|}%
	{\gnumericPB{\raggedleft}{\color[rgb]{0.37,0.73,0.12} $47.00$}}
\\
\hhline{|------|}
\caption{Performance Vergleich bei einem Video}\\
\end{longtable}

\ifthenelse{\isundefined{\languageshorthands}}{}{\languageshorthands{\languagename}}
\gnumericTableEnd
